Create Communication: Funnel
https://api.propexo.com/crm/v1/communications/funnel/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect
Show 2 enum values
EMAILSMSThe direction of the communication
Show 2 enum values
INCOMINGOUTGOINGThe subject of the message
Possible values: non-empty
The body of the message
Possible values: non-empty
The address(es) the communication will be sent to
Possible values: >= 1
The address the communication will be sent from
Possible values: non-empty
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the community
The Propexo unique identifier for the prospect
Show 2 enum values
EMAILSMSThe direction of the communication
Show 2 enum values
INCOMINGOUTGOINGThe subject of the message
Possible values: non-empty
The body of the message
Possible values: non-empty
Possible values: non-empty
The address the communication will be sent from
Possible values: non-empty
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/crm/v1/communications/funnel/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"communication_type": "EMAIL",
"communication_direction": "INCOMING",
"message_subject": "string",
"message_body": "string",
"to_addresses": [
"string"
],
"from_address": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"community_id": "string",
"prospect_id": "string",
"communication_type": "EMAIL",
"communication_direction": "INCOMING",
"message_subject": "string",
"message_body": "string",
"to_addresses": [
"string"
],
"from_address": "string"
}
}